Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDAppearance

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDAppearance

public class PDAppearance
extends Object

This one took me a while, but i'm proud to say that it handles the appearance of a textbox. This allows you to apply a value to a field in the document and handle the appearance so that the value is actually visible too. The problem was described by Ben Litchfield, the author of the example: org.pdfbox.examlpes.fdf.ImportFDF. So Ben, here is the solution.

Version:
  $Revision: 1.19 $
Author:
  sug, Ben Litchfield

Constructor Summary
`PDAppearance(PDAcroForm theAcroForm, PDVariableText field)` Constructs a COSAppearnce from the given field.

Method Summary
`void` | `setAppearanceValue(String apValue)` This is the public method for setting the appearance stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDAppearance

    public PDAppearance(PDAcroForm theAcroForm,
                        PDVariableText field)
                 throws IOException

  Constructs a COSAppearnce from the given field.

Parameters:
  `theAcroForm` - the acro form that this field is part of.
  `field` - the field which you wish to control the appearance of
Throws:
  `IOException` - If there is an error creating the appearance.

Method Detail

### setAppearanceValue

    public void setAppearanceValue(String apValue)
                            throws IOException

  This is the public method for setting the appearance stream.

  Parameters:
    `apValue` - the String value which the apperance shoud represent
  Throws:
    `IOException` - If there is an error creating the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD